import { request } from "@/lib/service"

/**
 * @desc 查询用户待评价sku商品评论列表接口
 */
export function unCommentList(params) {
	return request({
		url: 'zsxcx/getDpjComments.htm',
		method: 'post',
		data: params,
		needMask: true
	})
}

/**
 * @desc 查询用户已评价sku商品评论列表接口
 */
export function hadCommentList(params) {
	return request({
		url: 'zsxcx/getYpjComments.htm',
		method: 'post',
		data: params,
		needMask: true
	})
}

/**
 * @desc 获取商品评论列表接口
 */
export function commentList(params) {
	return request({
		url: 'zsxcx/getGoodsComments.htm',
		method: 'post',
		data: params,
		needMask: true
	})
}

/**
 * @desc 获取商品评论详情接口
 */
export function commentDetail(id) {
	return request({
		url: 'zsxcx/getGoodsCommentsDetail.htm',
		method: 'post',
		data: {
			id
		},
		needMask: true
	})
}

/**
 * @desc 获取用户待评价商品数量接口
 */
export function uncommentNum(id) {
	return request({
		url: 'zsxcx/getDpjCommentsCount.htm',
		method: 'post'
	})
}

/**
 *  @desc 商品评论接口
 */
export function saveComment(formData) {
	return request({
		url: 'zsxcx/saveGoodsComments.htm',
		method: 'post',
		data: formData,
		needMask: true
	})
}

/**
 *  @desc 追加商品评论接口
 */
export function addComment(formData) {
	return request({
		url: 'zsxcx/saveGoodsCommentsAdd.htm',
		method: 'post',
		data: formData,
		needMask: true
	})
}