import Validator from "@/utils/validate.js"

function phoneValidate() {
	const phoneValidator = new Validator()
	const form = this.form
	phoneValidator.add(form.phone, [{strategy: 'notEmpty', errorMsg: '手机号码不能为空'}, {strategy: 'isMobile', errorMsg: '手机号码格式不正确'}])
	return phoneValidator.validate()
}

function validateForm() {
	const smsValidator = new Validator()
	const form = this.form
	smsValidator.add(form.phone, [{strategy: 'notEmpty', errorMsg: '手机号码不能为空'}, {strategy: 'isMobile', errorMsg: '手机号码格式不正确'}])
	smsValidator.add(form.f_code, [{strategy: 'notEmpty', errorMsg: '验证码不能为空'}])
	smsValidator.add(form.upwd, [{strategy: 'notEmpty', errorMsg: '密码不能为空'}, {strategy: 'minLength:6', errorMsg: '密码不能少于6位数字或字母'}],
	smsValidator.add(form.upwd2, [{strategy: 'notEmpty', errorMsg: '确认密码不能为空'}, {strategy: `unique:${form.upwd}`, errorMsg: '两次输入的密码不一致'}]))
	return smsValidator.validate()
}

export default {
	phoneValidate,
	validateForm
}